package models.lelang;

/**
 * definisi nama variable yang digunakan pada workflow
 * disimpan dalam model Variable
 * @author development
 *
 */
public enum VariableName {

	NOW,
	TGL_PENGUMUMAN_LELANG_START,
	TGL_UMUM_PRAKUALIFIKASI_START,
	TGL_AMBIL_DOK_START,
	TGL_AMBIL_DOK_PEMILIHAN_END,
	TGL_PEMASUKAN_DOK_PRA_START,
	TGL_PEMASUKAN_DOK_PRA_END,
	PEMASUKAN_DOK_PRA_BERAKHIR,
	TGL_EVALUASI_DOK_PRA_START,
	TGL_EVALUASI_DOK_PRA_END,
	EVALUASI_DOK_PRA_BERAKHIR,
	VERIFIKASI_KUALIFIKASI_BERAKHIR,
	TGL_PENGUMUMAN_HASIL_PRA_END,
	TGL_PENJELASAN_PRA_START,
	TGL_PENJELASAN_START,	
	PEMASUKAN_DOK_PRA_ULANG,
	EVALUASI_DOK_PRA_ULANG,
	TGL_EVALUASI_PENAWARAN_START,
	EVALUASI_PENAWARAN_ADM_TEKNIS_BERAKHIR,
	TGL_PEMASUKAN_PENAWARAN_ADM_TEKNIS_END,		
	EVALUASI_PENAWARAN_BERAKHIR,	
	PENETAPAN_KUALIFIKASI_BERAKHIR,
	PEMASUKAN_PENAWARAN_ULANG,
	TGL_PEMASUKAN_PENAWARAN_START,
	TGL_PEMASUKAN_PENAWARAN_END,
	PEMBUKAAN_DAN_EVALUASI_PENAWARAN_BERAKHIR,	
	SANGGAH_PRA_BERAKHIR,
	TGL_SANGGAH_END,
	SANGGAH_DITERIMA,
	PENETAPAN_PEMENANG_PENAWARAN_BERAKHIR,
	TGL_UPLOAD_BA_EVALUASI_PENAWARAN_END,
	EVALUASI_PENAWARAN_ADM_TEKNIS_ULANG,
	TGL_PENGUMUMAN_PEMENANG_AKHIR_END,	
	PEMBUKAAN_DAN_EVALUASI_PENAWARAN_ULANG,
	TGL_PENETAPAN_PEMENANG_PENAWARAN_END,	
	PENUNJUKAN_PEMENANG_AKHIR,
	PENUNJUKAN_PEMENANG_DAN_SPPBJ_BERAKHIR,		
	EVALUASI_ULANG,
	SANGGAH_BANDING,
	LELANG_ULANG,
	LELANG_DIHENTIKAN,
	LELANG_GAGAL,
	KONTRAK_DITANDA_TANGANI;
	
	public boolean isDate() {
		return toString().startsWith("TGL") || this == NOW;
	}
	
	public boolean isEnd() {
		return toString().endsWith("END");
	}
	
	public boolean isStart() {
		return toString().endsWith("START");
	}
	
}
